## ros-one-timestamp-tools 1.6.9-0jammy.20251023.0018

=== debian/changelog ===
ros-one-timestamp-tools (1.6.9-0jammy.20251023.0018) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chad Rockey <chadrockey@gmail.com>  Thu, 23 Oct 2025 00:18:14 +0000

ros-one-timestamp-tools (1.6.9-0jammy) jammy; urgency=high

  * Merge pull request #11 <https://github.com/ros-drivers/driver_common/issues/11> from PR2-prime/indigo-devel
    updates for compile on focal/noetic
  * Merge pull request #1 <https://github.com/ros-drivers/driver_common/issues/1> from PR2-prime/noetic-devel
    Noetic devel
  * Merge branch 'indigo-devel' into noetic-devel
  * fix to make tests compile under focal/noetic
  * fixed boost time duration error with doubles no longer being supported
  * fixed dependency issue in timestamp_tools
  * updated header due to boost changes in focal/noetic
  * Merge pull request #7 <https://github.com/ros-drivers/driver_common/issues/7> from AurelienBallier/indigo-devel
    Fix CATKIN_ENABLE_TESTING set to False issue.
  * Fix CATKIN_ENABLE_TESTING set to False issue.
  * Contributors: Aurélien Ballier, Chad Rockey, Dave Feil-Seifer

 -- Chad Rockey <chadrockey@gmail.com>  Mon, 22 Mar 2021 00:00:00 -0000

ros-one-timestamp-tools (1.6.8-0jammy) jammy; urgency=high



 -- Chad Rockey <chadrockey@gmail.com>  Sun, 30 Mar 2014 00:00:00 -0000

ros-one-timestamp-tools (1.6.7-0jammy) jammy; urgency=high

  * No more Willow Garage email.
  * Contributors: Chad Rockey

 -- Chad Rockey <chadrockey@gmail.com>  Wed, 21 Aug 2013 00:00:00 -0000

ros-one-timestamp-tools (1.6.6-0jammy) jammy; urgency=high



 -- Chad Rockey <chadrockey@gmail.com>  Mon, 06 May 2013 00:00:00 -0000

ros-one-timestamp-tools (1.6.5-0jammy) jammy; urgency=high

  * Removed duplicated dependancies
    test_depend tags should only include additional dependencies required for testing.
  * Contributors: Aaron Blasdel

 -- Chad Rockey <chadrockey@gmail.com>  Tue, 22 Jan 2013 00:00:00 -0000

ros-one-timestamp-tools (1.6.4-0jammy) jammy; urgency=high

  * add missing dep to catkin
  * Contributors: Dirk Thomas

 -- Chad Rockey <chadrockey@gmail.com>  Fri, 14 Dec 2012 00:00:00 -0000

ros-one-timestamp-tools (1.6.3-0jammy) jammy; urgency=high



 -- Chad Rockey <chadrockey@gmail.com>  Thu, 13 Dec 2012 00:00:00 -0000

ros-one-timestamp-tools (1.6.2-0jammy) jammy; urgency=high

  * Version 1.6.2
  * Removed non-existant library from timestamp_tools
  * Contributors: William Woodall

 -- Chad Rockey <chadrockey@gmail.com>  Mon, 10 Dec 2012 00:00:00 -0000

ros-one-timestamp-tools (1.6.1-0jammy) jammy; urgency=high



 -- Chad Rockey <chadrockey@gmail.com>  Fri, 07 Dec 2012 16:02:00 -0000

ros-one-timestamp-tools (1.6.0-0jammy) jammy; urgency=high

  * Wrong version number for timestamp tools.
  * Version bump for release.
  * Catkinized
  * remove roslib::Header usage, bump to 1.2.5
  * rosbuild2 taking shape
  * Added Ubuntu platform tags to manifest
  * driver_common: adding in brief descriptions
  * Added license notices.
  * Set reviewed tags on all packages.
  * Used boost::posix_time::microseconds instead of boost::posix_time::seconds to avoid rounding problems.
  * Rearranged condition variable in trigger matcher. No longer needs to use absolute times, and eliminated a race condition related to resetting the class.
  * hasTimestamp was inverted in previous checkin.
  * Added hasTimestamp method to the trigger matcher to determine if there is a timestamp waiting.
  * Marked timestamp_tools as internal only.
  * Marked timestamp_tools as internal only.
  * Remove use of deprecated rosbuild macros
  * Made trigger matcher less verbose by default.
  * added XHTML to description
  * Corrected Ptr to ConstPtr to make trigger_matcher callback compatible with
    subscribe.
  * Updated some debug messages in trigger_matcher.
  * Split TriggerMatcher into TriggerMatcher in which data is not queued and
    sent to a callback, and a QueuedTriggerMatcher with the previous
    functionality of TriggerMatcher.
  * Added a reset method to the TriggerMatcher
  * Wrote skeleton for PeriodicTimestampMinFilter.
  * Wrote TriggerMatcher class to synchronize exact trigger time stamps with
    approximate timestamps incoming from hardware. Wrote self tests for it.
  * First pass at writing the TriggerMatcher class. Duplicated the wge100 node
    in view of redoing the time stamping code.
  * Fixed typo in timestamp_tools manifest.
  * Renamed timestamp-tools to timestamp_tools.
  * Contributors: Brian Gerkey, Chad Rockey, Gassend Blaise, Ken Conley, Rob Wheeler, Troy Straszheim

 -- Chad Rockey <chadrockey@gmail.com>  Fri, 07 Dec 2012 11:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-timestamp-tools//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-timestamp-tools 1.6.9-0jammy.20260220.2117

=== debian/changelog ===
ros-one-timestamp-tools (1.6.9-0jammy.20260220.2117) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chad Rockey <chadrockey@gmail.com>  Fri, 20 Feb 2026 21:17:54 +0000

## ros-one-timestamp-tools 1.6.9-0noble.20250531.2146

=== debian/changelog ===
ros-one-timestamp-tools (1.6.9-0noble.20250531.2146) UNRELEASED; urgency=high

  * noble Append timestamp when binarydeb was built.

 -- Chad Rockey <chadrockey@gmail.com>  Sat, 31 May 2025 21:46:59 +0000

ros-one-timestamp-tools (1.6.9-0noble) noble; urgency=high

  * Merge pull request #11 <https://github.com/ros-drivers/driver_common/issues/11> from PR2-prime/indigo-devel
    updates for compile on focal/noetic
  * Merge pull request #1 <https://github.com/ros-drivers/driver_common/issues/1> from PR2-prime/noetic-devel
    Noetic devel
  * Merge branch 'indigo-devel' into noetic-devel
  * fix to make tests compile under focal/noetic
  * fixed boost time duration error with doubles no longer being supported
  * fixed dependency issue in timestamp_tools
  * updated header due to boost changes in focal/noetic
  * Merge pull request #7 <https://github.com/ros-drivers/driver_common/issues/7> from AurelienBallier/indigo-devel
    Fix CATKIN_ENABLE_TESTING set to False issue.
  * Fix CATKIN_ENABLE_TESTING set to False issue.
  * Contributors: Aurélien Ballier, Chad Rockey, Dave Feil-Seifer

 -- Chad Rockey <chadrockey@gmail.com>  Mon, 22 Mar 2021 00:00:00 -0000

ros-one-timestamp-tools (1.6.8-0noble) noble; urgency=high



 -- Chad Rockey <chadrockey@gmail.com>  Sun, 30 Mar 2014 00:00:00 -0000

ros-one-timestamp-tools (1.6.7-0noble) noble; urgency=high

  * No more Willow Garage email.
  * Contributors: Chad Rockey

 -- Chad Rockey <chadrockey@gmail.com>  Wed, 21 Aug 2013 00:00:00 -0000

ros-one-timestamp-tools (1.6.6-0noble) noble; urgency=high



 -- Chad Rockey <chadrockey@gmail.com>  Mon, 06 May 2013 00:00:00 -0000

ros-one-timestamp-tools (1.6.5-0noble) noble; urgency=high

  * Removed duplicated dependancies
    test_depend tags should only include additional dependencies required for testing.
  * Contributors: Aaron Blasdel

 -- Chad Rockey <chadrockey@gmail.com>  Tue, 22 Jan 2013 00:00:00 -0000

ros-one-timestamp-tools (1.6.4-0noble) noble; urgency=high

  * add missing dep to catkin
  * Contributors: Dirk Thomas

 -- Chad Rockey <chadrockey@gmail.com>  Fri, 14 Dec 2012 00:00:00 -0000

ros-one-timestamp-tools (1.6.3-0noble) noble; urgency=high



 -- Chad Rockey <chadrockey@gmail.com>  Thu, 13 Dec 2012 00:00:00 -0000

ros-one-timestamp-tools (1.6.2-0noble) noble; urgency=high

  * Version 1.6.2
  * Removed non-existant library from timestamp_tools
  * Contributors: William Woodall

 -- Chad Rockey <chadrockey@gmail.com>  Mon, 10 Dec 2012 00:00:00 -0000

ros-one-timestamp-tools (1.6.1-0noble) noble; urgency=high



 -- Chad Rockey <chadrockey@gmail.com>  Fri, 07 Dec 2012 16:02:00 -0000

ros-one-timestamp-tools (1.6.0-0noble) noble; urgency=high

  * Wrong version number for timestamp tools.
  * Version bump for release.
  * Catkinized
  * remove roslib::Header usage, bump to 1.2.5
  * rosbuild2 taking shape
  * Added Ubuntu platform tags to manifest
  * driver_common: adding in brief descriptions
  * Added license notices.
  * Set reviewed tags on all packages.
  * Used boost::posix_time::microseconds instead of boost::posix_time::seconds to avoid rounding problems.
  * Rearranged condition variable in trigger matcher. No longer needs to use absolute times, and eliminated a race condition related to resetting the class.
  * hasTimestamp was inverted in previous checkin.
  * Added hasTimestamp method to the trigger matcher to determine if there is a timestamp waiting.
  * Marked timestamp_tools as internal only.
  * Marked timestamp_tools as internal only.
  * Remove use of deprecated rosbuild macros
  * Made trigger matcher less verbose by default.
  * added XHTML to description
  * Corrected Ptr to ConstPtr to make trigger_matcher callback compatible with
    subscribe.
  * Updated some debug messages in trigger_matcher.
  * Split TriggerMatcher into TriggerMatcher in which data is not queued and
    sent to a callback, and a QueuedTriggerMatcher with the previous
    functionality of TriggerMatcher.
  * Added a reset method to the TriggerMatcher
  * Wrote skeleton for PeriodicTimestampMinFilter.
  * Wrote TriggerMatcher class to synchronize exact trigger time stamps with
    approximate timestamps incoming from hardware. Wrote self tests for it.
  * First pass at writing the TriggerMatcher class. Duplicated the wge100 node
    in view of redoing the time stamping code.
  * Fixed typo in timestamp_tools manifest.
  * Renamed timestamp-tools to timestamp_tools.
  * Contributors: Brian Gerkey, Chad Rockey, Gassend Blaise, Ken Conley, Rob Wheeler, Troy Straszheim

 -- Chad Rockey <chadrockey@gmail.com>  Fri, 07 Dec 2012 11:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,6 @@
 	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
 	dh_auto_configure -- \
-		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
 		-DCMAKE_PREFIX_PATH="/opt/ros/one" \

## ros-one-timestamp-tools 1.6.9-0noble.20251023.0017

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(timestamp_tools)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS roscpp)
find_package(Boost REQUIRED)

include_directories(include ${catkin_INCLUDE_DIRS})

catkin_package(
  CATKIN_DEPENDS roslib roscpp
  INCLUDE_DIRS include
  CATKIN_DEPENDS roscpp
)

include_directories(include ${catkin_INCLUDE_DIRS})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")

if(CATKIN_ENABLE_TESTING)
	catkin_add_gtest(test_trigger_matcher test/test_trigger_matcher.cpp)
	target_link_libraries(test_trigger_matcher ${catkin_LIBRARIES})
endif()

=== debian/changelog ===
ros-one-timestamp-tools (1.6.9-0noble.20251023.0017) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chad Rockey <chadrockey@gmail.com>  Thu, 23 Oct 2025 00:17:05 +0000

=== debian/control ===
Source: ros-one-timestamp-tools
Section: misc
Priority: optional
Maintainer: Chad Rockey <chadrockey@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-roscpp, ros-one-roslib
Homepage: http://www.ros.org/wiki/timestamp_tools
Standards-Version: 3.9.2

Package: ros-one-timestamp-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-roscpp, ros-one-roslib
Description: This package is currently for internal use only.
 Its API may change without warning in the future. This package is deprecated.

## ros-one-timestamp-tools 1.6.9-0noble.20260220.2124

=== debian/changelog ===
ros-one-timestamp-tools (1.6.9-0noble.20260220.2124) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chad Rockey <chadrockey@gmail.com>  Fri, 20 Feb 2026 21:24:07 +0000
